package net.wanji.web.common.enums;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/8 17:20
 */
public enum SpecialServiceCrossDirEnum {
    ONE(1, "北"),
    TWO(2, "东北"),
    THREE(3, "东"),
    FOUR(4, "东南"),
    FIVE(5, "南"),
    SIX(6, "西南"),
    SEVEN(7, "西"),
    EIGHT(3, "西北");

    private final int code;
    private final String msg;

    SpecialServiceCrossDirEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(int code) {
        for (SpecialServiceCrossDirEnum value : SpecialServiceCrossDirEnum.values()) {
            if (value.code == code) {
                return value.msg;
            }
        }
        return null;
    }

    public static Integer getCodeByMsg(String msg) {
        for (SpecialServiceCrossDirEnum value : SpecialServiceCrossDirEnum.values()) {
            if (Objects.equals(value.msg, msg)) {
                return value.code;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
